Subject: RE: [ipfix] Ipfix Protocol open items

From: "MEYER,JEFFREY D (HP-Cupertino,ex1)" <[email-masked]>
Date: Thu, 2 Oct 2003 10:32:03 -0700

Hi,

  Given the ubiquity of TCP and the challenge of using SCTP 
"out of the box" on many platforms, I would strongly recommend
making TCP the default.

  I am not aware of Microsoft support for SCTP, nor support on
the Java platform.

  My understanding of some of the experience w/ Diameter interoperability
sessions, is that TCP was the dominant transport, even though 
Diameter calls out both SCTP and TCP as required protocols.

  An alternative view would be that building more on top of SCTP
will drive more adoption and help address the "out of the box" issue.
I'm a bit skeptical on this point, since SCTP seems more kernel
space than user space, it will be more challenging to get OS
and JVM vendors to quickly support it.

Regards,

  Jeff Meyer

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Thursday, October 02, 2003 10:14 AM
> To: Reinaldo Penno
> Cc: [email-masked]; [email-masked]
> Subject: Re: [ipfix] Ipfix Protocol open items
> 
> 
> 
> 
> Reinaldo Penno wrote:
> 
> > Hello,
> > 
> > Have we zeroed in a certain transport protocol? TCP, SCTP-PR or 
> > something else?
> > 
> > I need to write something to explain how Netflow runs over 
> TCP, but it 
> > seems to me somewhat of a lower priority if this is not 
> going to be the 
> > default protocol. We should focus on explaning how this 
> should work on 
> > the "choosen one".
> 
> I think that perhaps the question should be put another way. There are
> WG members who propose SCTP-PR as the default, and SCTP-PR has
> advantage because of its better flexibility in coping with congestion.
> 
> So the real question is whether there are WG members who think that
> the default should be TCP. If no group comes forward, then we have
> our answer. If there is support then we need to perform a detailed
> analysis of the relative merits of the two protocols.
> 
> Stewart
> 
> 
> --
> Help        mailto:[email-masked] and say "help" 
> in message body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/
> 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/